onEvent('jei.hide.items', event => {

	event.hide([
		'tconstruct:copper_ore',
		'zerocore:debugtool',
		/appliedenergistics2:facade/,
		'kubejs:dummy_fluid_item'
	])

})

onEvent('jei.add.items', event => {
	
	event.add(Item.of('appliedenergistics2:facade', '{item:"minecraft:stone"}'))

  })

onEvent('jei.hide.items', event => {
	event.hide('telepastries:lost_city_cake')
	event.hide('mining_dimension:teleporter')
	event.hide('exnihilosequentia:end_cake')
	event.hide('excompressum:compressed_gravel')
	event.hide('mahoutsukai:hammer')
	event.hide('ironchest:copper_to_silver_chest_upgrade')
	event.hide('metalbarrels:wood_to_netherite')
	event.hide('ironchest:iron_to_gold_chest_upgrade')
	event.hide('ironfurnaces:upgrade_silver')
	event.hide('ironfurnaces:upgrade_gold')
	event.hide('ironfurnaces:upgrade_iron')
	event.hide('ironchest:wood_to_iron_chest_upgrade')
	event.hide('excompressum:compressed_end_stone')
	event.hide('excompressum:compressed_dirt')
	event.hide('excompressum:compressed_sand')
	event.hide('excompressum:compressed_cobblestone')
	event.hide('excompressum:compressed_gravel')
	event.hide('excompressum:compressed_soul_sand')
	event.hide('exnihiloauto:compressed_gravel')
	event.hide('exnihiloauto:compressed_cobble')
	event.hide('exnihiloauto:highly_compressed_cobble')
	event.hide('exnihiloauto:atomic_compressed_dust')
	event.hide('exnihiloauto:highly_compressed_dust')
	event.hide('exnihiloauto:compressed_dust')
	event.hide('exnihiloauto:atomic_compressed_sand')
	event.hide('exnihiloauto:highly_compressed_sand')
	event.hide('exnihiloauto:compressed_sand')
	event.hide('exnihiloauto:atomic_compressed_gravel')
	event.hide('exnihiloauto:highly_compressed_gravel')
	event.hide('exnihiloauto:atomic_compressed_cobble')
	event.hide('excompressum:compressed_andesite')
	event.hide('excompressum:compressed_diorite')
	event.hide('excompressum:compressed_granite')
	event.hide('excompressum:compressed_nether_gravel')
	event.hide(['janoeo:dense_tin_ore', 'janoeo:dense_quartz_nether_ore', 'janoeo:dense_redstone_nether_ore', 'janoeo:dense_iron_nether_ore',
	 'janoeo:dense_lapis_nether_ore', 'janoeo:dense_gold_nether_ore', 'janoeo:dense_emerald_nether_ore', 'janoeo:dense_diamond_nether_ore',
	 'janoeo:dense_coal_nether_ore', 'janoeo:dense_coal_ore', 'janoeo:dense_copper_ore', 'janoeo:dense_diamond_ore', 'janoeo:dense_emerald_ore',
	 'janoeo:dense_gold_ore', 'janoeo:dense_iron_ore', 'janoeo:dense_lapis_ore', 'janoeo:dense_redstone_ore'])
	event.hide(['janoeo:copper_ingot', 'janoeo:copper_ore', 'exnihilosequentia:ingot_copper', 'mekanism:dust_copper', 'tconstruct:copper_nugget', 'create:copper_nugget',
	 'create:copper_ingot', 'tconstruct:copper_ingot', 'mekanism:ingot_copper', 'mekanism:nugget_copper', 'janoeo:copper_dust'])
	event.hide(['mekanism:nugget_tin', 'mekanism:block_tin', 'janoeo:tin_ingot', 'exnihilosequentia:ingot_tin', 'mekanism:ingot_tin', 'mekanism:dust_tin', 'janoeo:tin_dust'])
	event.hide(['create:crushed_lead_ore', 'janoeo:lead_dust', 'janoeo:lead_ingot', 'exnihilosequentia:ingot_lead', 'mekanism:block_lead', 'mekanism:ingot_lead', 'mekanism:nugget_lead',
	 'mekanism:dust_lead'])
	event.hide(['exnihilosequentia:ingot_silver', 'janoeo:silver_ingot', 'janoeo:silver_dust', 'create:crushed_silver_ore'])
	event.hide([Item.of('extrastorage:disk_256k', '{ID:[I;1156267381,-345356615,-1307806462,-137140682]}'), 'extrastorage:storagepart_256k', 'extrastorage:storagepart_1024k', 'extrastorage:storagepart_4096k', 'extrastorage:storagepart_16384k',
	 'extrastorage:storagepart_16384k_fluid', 'extrastorage:storagepart_65536k_fluid', 'extrastorage:storagepart_262144k_fluid',
	 'extrastorage:storagepart_1048576k_fluid', Item.of('extrastorage:disk_1024k', '{ID:[I;1479799849,-204323751,-1827308288,1948181896]}'),
	 Item.of('extrastorage:disk_4096k', '{ID:[I;-1032349767,-1099346477,-1274526436,-589507117]}'), Item.of('extrastorage:disk_16384k', '{ID:[I;1741557473,76238045,-1146052282,-1680866268]}'),
	 Item.of('extrastorage:disk_16384k_fluid', '{ID:[I;136543637,-1587983213,-1428635278,1523158348]}'), Item.of('extrastorage:disk_65536k_fluid', '{ID:[I;-116111103,1528840986,-1217300124,-520136909]}'),
	 Item.of('extrastorage:disk_262144k_fluid', '{ID:[I;1776897480,1689404179,-1617924589,1147645447]}'), Item.of('extrastorage:disk_1048576k_fluid', '{ID:[I;-1838698675,-2085925273,-1406906829,1144146487]}')])
})  

onEvent('jei.hide.items', event => {

	event.hide([
		'tconstruct:copper_ore',
		'zerocore:debugtool',
		'create:copper_nugget',
		'create:copper_ingot',
		'mekanism:ingot_copper',
		'tconstruct:copper_ingot',
		'mekanism:copper_ore',
		'create:copper_ore',
		'create:copper_sheet',
		'mekanism:dust_copper',
		'tconstruct:copper_nugget',
		'mekanism:nugget_copper',
		'create:crushed_platinum_ore'
	])

})